let auth = require("./credentials.js");
let API = require("../src/api.js");

let api = new API(auth.email, auth.password, auth.server);
Promise.resolve().then(() => {
    // Authenticate with server
    return api.authenticate().then((token) => console.log("Session token: ", token));
}).then(() => {
    // Get user data
    return api.user.me().then((data) => console.log(`User data: ${JSON.stringify(data)}.`));
}).then(() => {
    // Connect socket
    return api.connect().then((val) => console.log("Socket connected"));
}).then(() => {
    // Disconnect socket
    return api.disconnect().then((val) => console.log("Socket disconnected"));
}).catch((err) => {
    // Manage errors
   if(err.stack) console.error("An error occured: ", err.stack); 
   else console.error("An error occured: ", err); 
});
