const colors = require("colors/safe");
const auth = require("./credentials.js");
const API = require("../src/api.js");

let api = new API(auth.email, auth.password, auth.server);

api.on("raw_message", (data) => console.log(`${colors.blue("[Raw]")} ${data}.`));
api.on("/console", (data) => console.log(`${colors.green("[/console]")} ${JSON.stringify(data)}.`));
api.on("error", (err) => console.log(`${colors.red("[/console]")}: ${err}.`));

Promise.resolve().then(() => {
    // Exectue console.log("hello world") in game console
    let cmd = "console.log('Hello world !')";
    return api.console.execute(cmd);
}).then(() => {
    // Subscribe to /console
    return api.console.subscribe();
}).catch((err) => {
    // Manage errors
   if(err.stack) console.error("An error occured: ", err.stack); 
   else console.error("An error occured: ", err); 
});
