let auth = require("./credentials.js");
let API = require("../src/api.js");

let api = new API(auth.email, auth.password, auth.server);
Promise.resolve().then(() => {
    // Get leaderboard seasons
    return api.leaderboard.seasons().then((val) => console.log(`Seasons: ${JSON.stringify(val)}.`));
}).then(() => {
    // Get user stats for given season
    return api.leaderboard.find("Hiryus", "2017-01").then((val) => console.log(`Stats: ${JSON.stringify(val)}.`));
}).then(() => {
    // Get user stats for all seasons
    return api.leaderboard.find("Hiryus").then((val) => console.log(`Stats: ${JSON.stringify(val)}.`));
}).then(() => {
    // Get top 10 players
    return api.leaderboard.list(10, 0, "2017-01").then((val) => console.log(`Top 10: ${JSON.stringify(val)}.`));
}).catch((err) => {
    // Manage errors
   if(err.stack) console.error("An error occured: ", err.stack); 
   else console.error("An error occured: ", err); 
});
