let auth = require("./credentials.js");
let API = require("../src/api.js");

let api = new API(auth.email, auth.password, auth.server);
Promise.resolve().then(() => {
    // Get number of market orders per resourceType
    return api.market.index().then((val) => console.log(`Current orders: ${JSON.stringify(val)}.`));
}).then(() => {
    // Get market orders for energy
    return api.market.orders("energy").then((val) => console.log(`There are currently ${val.length} market orders for energy.`));
}).then(() => {
    // Get market stats
    return api.market.stats("energy").then((val) => console.log(`Market stats for energy: ${JSON.stringify(val)}.`));
}).then(() => {
    // Get user history
    return api.market.history().then((val) => console.log(`Last user transactions: ${JSON.stringify(val)}.`));
}).catch((err) => {
    // Manage errors
   if(err.stack) console.error("An error occured: ", err.stack); 
   else console.error("An error occured: ", err); 
});
