let auth = require("./credentials.js");
let API = require("../src/api.js");

let api = new API(auth.email, auth.password, auth.server);
api.on("/cpu", (stats) => console.log(`CPU usage: ${JSON.stringify(stats)}`));

Promise.resolve().then(() => {
    // Get user data
    return api.user.me().then((data) => console.log(`User data: ${JSON.stringify(data)}.`));
}).then(() => {
    // Get user overview for energyHarvested
    return api.user.overview("energyHarvested", 8).then((data) => console.log(`User stats: ${JSON.stringify(data)}.`));
}).then(() => {
    // Get anotehr user data (by name)
    return api.user.findByName("Hiryus").then((data) => console.log(`User 'Hiryus' data: ${JSON.stringify(data)}.`));
}).then(() => {
    // Get owned rooms for given user id
    return api.user.rooms("583211182873dc77620ab705").then((data) => console.log(`User 'Hiryus' rooms: ${JSON.stringify(data)}.`));
}).then(() => {
    // Get owned rooms for given user id
    return api.user.roomsStats(["W78N36"], "energyHarvested", 8).then((data) => console.log(`Energy harvested for room 'W78N36': ${JSON.stringify(data)}.`));
}).then(() => {
    // Subscribe to CPU stats
    return api.user.subscribe();
}).catch((err) => {
    // Manage errors
   if(err.stack) console.error("An error occured: ", err.stack); 
   else console.error("An error occured: ", err); 
});
